Package twisted :: Package web :: Package woven :: Module controller

[frames | no frames]

## Module twisted.web.woven.controller

Classes
`BlankPage` |
`Controller` | A Controller which handles to events from the user.
`LiveController` | A Controller that encapsulates logic that makes it possible for this page to be "Live".
`WController` | A Controller which handles to events from the user.

Function Summary
| `controllerFactory(controllerClass)`
| `controllerMethod(controllerClass)`
| ``registerControllerForModel`(controller, model)` Registers `controller' as an adapter of `model' for IController, and optionally registers it for IResource, if it implements it.

Variable Summary
`str` | `__version__` = `'1.67'`
`str` | `WOVEN_PATH` = `'./twisted/web/woven'`

Function Details

### registerControllerForModel(controller, model)

Registers `controller' as an adapter of `model' for IController, and optionally registers it for IResource, if it implements it.

  Parameters:
    `controller` - A class that implements `interfaces.IController`, usually a `Controller` subclass. Optionally it can implement `resource.IResource`.
    `model` - Any class, but probably a `twisted.web.woven.model.Model` subclass.

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.67'

### WOVEN_PATH

  Type:
    `str`
  Value:

        './twisted/web/woven'

Generated by Epydoc 2.0 on Sat May 15 20:08:03 2004 | http://epydoc.sf.net